InvalidNameException (Java Platform SE 8 )
Keywords: javax.naming.InvalidNameException class
Date: 2026-04-17

compact3
javax.naming

## Class InvalidNameException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.InvalidNameException

- All Implemented Interfaces:
    Serializable

      public class InvalidNameException
      extends NamingException

  This exception indicates that the name being specified does not conform to the naming syntax of a naming system. This exception is thrown by any of the methods that does name parsing (such as those in Context, DirContext, CompositeName and CompoundName).

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    `Context`, `DirContext`, `CompositeName`, `CompoundName`, `NameParser`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidNameException()` Constructs an instance of InvalidNameException with all fields set to null.
    `InvalidNameException(String explanation)` Constructs an instance of InvalidNameException using an explanation of the problem.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidNameException

          public InvalidNameException(String explanation)

      Constructs an instance of InvalidNameException using an explanation of the problem. All other fields are initialized to null.
      Parameters:
        `explanation` - A possibly null message explaining the problem.
      See Also:
        `Throwable.getMessage()`

    - #### InvalidNameException

          public InvalidNameException()

      Constructs an instance of InvalidNameException with all fields set to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.